datablock AudioProfile(Tezuni_SpawnSound)
{
	filename = "./RW_spawning.wav";
	description = AudioClose3D;
	preload = true;
};

datablock StaticShapeData(Tezuni_SpawnEffect)
{
	category = "Effects";
	shapeFile = "./fx01.dts";
};

function Tezuni_SpawnEffect::onAdd(%data, %obj)
{
	%obj.playThread(0, castAnim);
	%obj.schedule(5000,delete);
}
package spawnomg
{
   function Armor::onAdd(%this,%obj)
   {
      Parent::onAdd(%this,%obj);
      %obj.schedule(0,spawnThingy);
   }
};
activatepackage(spawnomg);
function Player::spawnThingy(%obj)
{
   new StaticShape()
   {
      datablock=Tezuni_SpawnEffect;
      position = %obj.getPosition();
   };
   serverPlay3d(Tezuni_SpawnSound,%obj.getTransform());
}